﻿using Syncfusion.UI.Xaml.Controls.Input;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace NumericUpDownSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        SfNumericTextBox sfNumericTextBox;
        public MainPage()
        {
            this.InitializeComponent();
            numericupdown.LostFocus += Numericupdown_LostFocus;
        }

        bool isfocused = false;
        private void Numericupdown_LostFocus(object sender, RoutedEventArgs e)
        {
            isfocused = true;
        }

        private void numericupdown_Loaded(object sender, RoutedEventArgs e)
        {            
            FindChildren<SfNumericTextBox>(numericupdown);
        }

        public void FindChildren<T>(DependencyObject startNode)
        {
            int count = VisualTreeHelper.GetChildrenCount(startNode);
            for (int i = 0; i < count; i++)
            {
                DependencyObject current = VisualTreeHelper.GetChild(startNode, i);
                if (current is SfNumericTextBox)
                {
                    sfNumericTextBox = current as SfNumericTextBox;
                    sfNumericTextBox.AddHandler(SfTextBoxExt.PointerReleasedEvent, new PointerEventHandler(Box_PointerReleased), true);
                                                            
                    break;
                }
                else
                {
                    FindChildren<T>(current);
                }
            }
        }

        private void Box_PointerReleased(object sender, PointerRoutedEventArgs e)
        {
            if (isfocused)
            {
                sfNumericTextBox.SelectAll();
                isfocused = false;
            }
        }

    }
}
